<?php
/**
* @version		$Id: helper.php 14401 2010-12-02 14:10:00Z fabien $
* @package		Joomla
* @copyright	Copyright (C) 2009 - 2010 Open Source Savoiri Inutile. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

class modSIHelper
{
	function getSI($params)
	{
		$siurl	= 'http://www.savoir-inutile.com/feed/plugins';

		//  get RSS parsed object
		$options = array();
		$options['rssUrl'] 		= $siurl;
		if ($params->get('cache')) {
			$options['cache_time']  = $params->get('cache_time', 15) ;
			$options['cache_time']	*= 60;
		} else {
			$options['cache_time'] = null;
		}

//		$siDoc =& JFactory::getXMLparser('RSS', $options);
		$siDoc =& JFactory::getFeedParser($siurl, 0);

		$si = new stdclass();

		if ($siDoc != false)
		{
			// channel header and link
			$si->title = $siDoc->get_title();
			$si->link = $siDoc->get_link();
			$si->description = $siDoc->get_description();

			$si->image->url = $siDoc->get_image_url();
			$si->image->title = $siDoc->get_image_title();

			// items
			$item = $siDoc->get_items();

			// feed elements
			$si->item = array_slice($item, 0, 1);
		} else {
			$si = false;
		}

		return $si;
	}
}